// pages/peopleManagement/peopleManagement.js
var app = getApp();
import Dialog from '../../dist/dialog/dialog';
Page({

  /**
   * 页面的初始数据
   */
  data: {
    value:'',
    memberList:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.peoplelist()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  onChange(event) {
    // event.detail 为当前输入的值
    console.log(event.detail);
  },
  inviteCircleMember(){
    wx.navigateTo({
      url: '../inviteCircleMember/inviteCircleMember',
    })
  },
  // 成员列表
  peoplelist(){
    var that = this;
    var config = wx.getStorageSync('config');
    // var location = wx.getStorageSync('location');
    wx: wx.request({
      url: app.url + 'ajax_get_circle_member_list.php',
      data: {
        unionId: config.unionId,
        circleId: 7
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        console.log(res)
        if(res.statusCode==200){
          that.setData({
            memberList:res.data.result.memberList
          })
        }
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },
  // 删除成员
  delpeople(userid){
    var that = this;
    var config = wx.getStorageSync('config');
    // var location = wx.getStorageSync('location');
    wx: wx.request({
      url: app.url + 'ajax_delete_circle_member.php',
      data: {
        unionId: config.unionId,
        circleId: 7,
        userId: userid
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        console.log(res)
        if (res.statusCode == 200) {
          that.setData({
            memberList: res.data.result.memberList
          })
        }
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },
  onClose(event) {
    var that=this;
    var userid=event.currentTarget.dataset.userid;
    const { position, instance } = event.detail;
    switch (position) {
      case 'left':
      case 'cell':
        instance.close();
        break;
      case 'right':
        Dialog.confirm({
          message: '确定删除吗？'
        }).then(() => {
          that.delpeople(userid);
          // that.peoplelist();
          instance.close();
        });
        break;
    }
  }
})